#!/bin/sh
SRC="/tmp/i2c_io_expander_8bit/i2c_io_expander_8bit"
DST="/tmp/a/eagleUp_demo3d"

#all layers need to contain the edges so that gerbv generates images of the same size for each layer

gerbv --dpi 600 --border 0 --background "#FFFFFF" --foreground "#000000FF" --export png --output $DST"_bottom.png" $SRC"-Back.gbl"
gerbv --dpi 600 --border 0 --background "#FFFFFF" --foreground "#000000FF" --export png --output $DST"_bottom_mask.png" $SRC"-Mask_Back.gbs"
gerbv --dpi 600 --border 0 --background "#FFFFFF" --foreground "#000000FF" --export png --output $DST"_bottom_silk.png" $SRC"-SilkS_Back.gbo"

gerbv --dpi 600 --border 0 --background "#FFFFFF" --foreground "#000000Ff" --export png --output $DST"_top.png" $SRC"-Front.gtl"
gerbv --dpi 600 --border 0 --background "#FFFFFF" --foreground "#000000FF" --export png --output $DST"_top_mask.png" $SRC"-Mask_Front.gts"
gerbv --dpi 600 --border 0 --background "#FFFFFF" --foreground "#000000FF" --export png --output $DST"_top_silk.png" $SRC"-SilkS_Front.gto"

gerbv --dpi 600 --border 0 --background "#FFFFFF" --foreground "#000000FF" --export png --output $DST"_outline.png" $SRC"-PCB_Edges.gbr"

gerbv --dpi 600 --border 0 --background "#000000" --foreground "#000000FF" --export png --output $DST"_imagesize.png" $SRC"-PCB_Edges.gbr"


#removing edges from the other layers

composite -transparent-color "white" -compose minus $DST"_outline.png" $DST"_bottom.png" $DST"_bottom.png"
convert -negate $DST"_bottom.png" $DST"_bottom.png"

composite -transparent-color "white" -compose minus $DST"_outline.png" $DST"_bottom_mask.png" $DST"_bottom_mask.png"
convert -negate $DST"_bottom_mask.png" $DST"_bottom_mask.png"

composite -transparent-color "white" -compose minus $DST"_outline.png" $DST"_bottom_silk.png" $DST"_bottom_silk.png"
convert -negate $DST"_bottom_silk.png" $DST"_bottom_silk.png"

composite -transparent-color "white" -compose minus $DST"_outline.png" $DST"_top.png" $DST"_top.png"
convert -negate $DST"_top.png" $DST"_top.png"

composite -transparent-color "white" -compose minus $DST"_outline.png" $DST"_top_mask.png" $DST"_top_mask.png"
convert -negate $DST"_top_mask.png" $DST"_top_mask.png"

composite -transparent-color "white" -compose minus $DST"_outline.png" $DST"_top_silk.png" $DST"_top_silk.png"
convert -negate $DST"_top_silk.png" $DST"_top_silk.png"

#composite -transparent-color "white" -compose minus $DST"_outline.png" $DST"_imagesize.png" $DST"_imagesize.png"
#convert -negate $DST"_imagesize.png" $DST"_imagesize.png"

convert -border 1 -bordercolor "white" $DST"_imagesize.png" $DST"_imagesize.png"
#removing edge rounding artifacts
#convert -crop "+4+4" $DST"_imagesize.png" $DST"_imagesize.png"
#convert -crop "-4-4" $DST"_imagesize.png" $DST"_imagesize.png"

#flip the images to match the positions of the modules and holes
# convert -rotate 180 $DST"_bottom.png" $DST"_bottom.png"
# convert -rotate 180 $DST"_bottom_mask.png" $DST"_bottom_mask.png"
# convert -rotate 180 $DST"_bottom_silk.png" $DST"_bottom_silk.png"
# 
# convert -rotate 180 $DST"_top.png" $DST"_top.png"
# convert -rotate 180 $DST"_top_mask.png" $DST"_top_mask.png"
# convert -rotate 180 $DST"_top_silk.png" $DST"_top_silk.png"
# 
# convert -rotate 180 $DST"_outline.png" $DST"_outline.png"
# convert -rotate 180 $DST"_imagesize.png" $DST"_imagesize.png"
